---
lang: en
title: 'API docs: repository.connectorinterfaces'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.connectorinterfaces.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ConnectorInterfaces](./repository.connectorinterfaces.md)

## ConnectorInterfaces namespace

Interfaces adopted by a [Connector](./repository.connector.md)<!-- -->.

**Signature:**

```typescript
export declare namespace ConnectorInterfaces 
```

## Enumerations

|  Enumeration | Description |
|  --- | --- |
|  [StrongJoins](./repository.connectorinterfaces.strongjoins.md) | Strong query join interfaces adopted by a [Connector](./repository.connector.md) |
|  [StrongRelation](./repository.connectorinterfaces.strongrelation.md) | Strong relation interfaces adopted by a [Connector](./repository.connector.md) |


